Skip to content

getStorageUnitDescendants

READ

Get storage unit descendants.

POST /api/v1/inventory/getStorageUnitDescendants
curl -X POST '<your-host>/api/v1/inventory/getStorageUnitDescendants' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "storageUnitId": "string"
  }'
Response
{
  "results": [
    {
      "id": "string",
      "parentId": "string",
      "locationId": "string",
      "warehouseId": "string",
      "name": "string",
      "active": true,
      "storageTypeIds": [
        "string"
      ],
      "companyId": "string",
      "depth": 0,
      "ancestorPath": [
        "string"
      ]
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "storageUnitId": {
      "type": "string"
    }
  },
  "required": [
    "storageUnitId"
  ]
}